﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerShoot : MonoBehaviour
{

	public GameObject projectile;

	float lastShootTime;

	void Update ()
	{
		
		if (Input.GetMouseButton (0)) {
			if (Time.time > lastShootTime + 0.2f) {
				if (GetComponent<PlayerController> ().energy > 10) {
					GetComponent<PlayerController> ().RemoveEnergy (10);
					shoot ();
					lastShootTime = Time.time;
				}
			}
		}

	}

	void shoot ()
	{
		GetComponent<PlayerController> ().playSound ("PC_Shoot");

		GameObject newProj = (GameObject)Instantiate (projectile, transform.position, transform.rotation);
		newProj.GetComponent<Rigidbody2D> ().velocity = transform.up * 14;
		Destroy (newProj, 5);
	}

}
