﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Stats : MonoBehaviour
{

	public int healthLevel = 1;
	public int energyLevel = 1;
	public int damageLevel = 1;

	public Text healthText;
	public Text energyText;
	public Text damageText;

	public Text healthCostText;
	public Text energyCostText;
	public Text damageCostText;

	void Start ()
	{
		
	}

	public void upgradeStat (string name)
	{
		if (name == "health") {
			healthLevel++;
			healthText.text = "Health - " + healthLevel;
			healthCostText.text = "$" + healthLevel * 100;
			GameObject.FindGameObjectWithTag ("Player").GetComponent<PlayerController> ().maxHealth = 100 + (50 * healthLevel);
		} else if (name == "energy") {
			energyLevel++;
			energyText.text = "Energy - " + energyLevel;
			energyCostText.text = "$" + energyLevel * 150;
			GameObject.FindGameObjectWithTag ("Player").GetComponent<PlayerController> ().maxEnergy = 100 + (50 * energyLevel);
		} else if (name == "damage") {
			damageLevel++;
			damageText.text = "Damage - " + damageLevel;
			damageCostText.text = "$" + damageLevel * 250;
		}
	}

	public int getStatCost (string name)
	{
		if (name == "health") {
			return healthLevel * 100;
		} else if (name == "energy") {
			return energyLevel * 150;
		} else if (name == "damage") {
			return damageLevel * 250;
		}
		return -1;
	}
		
}
