﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Projectile : MonoBehaviour
{

	public GameObject impact;

	public int damage;

	public projectileParentType projectileParent;

	public enum projectileParentType
	{
		enemy,
		player
	}

	void Start ()
	{
		
	}

	void OnTriggerEnter2D (Collider2D other)
	{
		if (TestIfTagHit (other.tag)) {
			Destroy (gameObject);
			GameObject newImpact = (GameObject)Instantiate (impact, transform.position, Quaternion.identity);
			Destroy (newImpact, 1);
		}
	}

	bool TestIfTagHit (string tag)
	{
		if (tag == "Enemy" && projectileParent != projectileParentType.enemy) {
			return true;
		} else if (tag == "Player" && projectileParent != projectileParentType.player) {
			return true;
		}
		return false;
	}

}
